/*
 * Copyright 2025 cronn GmbH
 * SPDX-License-Identifier: Apache-2.0
 */

package de.eshg.base.user.api;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(name = "UserRole")
public enum UserRoleDto {
  INSPECTION_LEADER,
  INSPECTION_LANDESAMT_LEADER,
  SCHOOL_ENTRY_LEADER,
  TRAVEL_MEDICINE_LEADER,
  MEASLES_PROTECTION_LEADER,
  STATISTICS_LEADER,

  BASE_PERSONS_READ,
  BASE_PERSONS_WRITE,
  BASE_PERSONS_DELETE,
  BASE_FACILITIES_READ,
  BASE_FACILITIES_WRITE,
  BASE_FACILITIES_DELETE,
  BASE_RESOURCES_READ,
  BASE_RESOURCES_WRITE,
  BASE_INVENTORY_READ,
  BASE_INVENTORY_USE,
  BASE_INVENTORY_ADMINISTRATE,
  BASE_LABELS_READ,
  BASE_LABELS_WRITE,
  BASE_CONTACTS_READ,
  BASE_CONTACTS_WRITE,
  BASE_GDPR_PROCEDURE_REVIEW,
  BASE_GDPR_PROCEDURE_READ,
  BASE_GDPR_PROCEDURE_WRITE,
  BASE_MUK_FACILITY_LINK_WRITE,
  BASE_BUNDID_PERSON_LINK_WRITE,

  BASE_GLOBAL_CALENDARS_WRITE,
  BASE_CALENDAR_BUSINESS_EVENTS_WRITE,
  BASE_PROCEDURES_READ,
  BASE_PROCEDURE_METRICS_READ,
  BASE_TASKS_READ,
  BASE_ACCESS_CODE_USER_ADMIN,
  BASE_ACCESS_CODE_USER_VERIFY,
  SCHOOL_ENTRY_ADMIN,
  INSPECTION_NOTIFICATIONS_READ,
  INSPECTION_PROCEDURE_EDIT,
  INSPECTION_PROCEDURE_ASSIGN,
  INSPECTION_OBJECTTYPES_READ,
  INSPECTION_OBJECTTYPES_WRITE,
  INSPECTION_CHECKLISTDEFINITIONS_READ,
  INSPECTION_CHECKLISTDEFINITIONS_WRITE,
  INSPECTION_CORECHECKLISTDEFINITIONS_EDIT,
  INSPECTION_CENTRALREPOSITORY_READ,
  INSPECTION_CENTRALREPOSITORY_WRITE,
  INSPECTION_CENTRALREPOSITORY_DELETE,
  INSPECTION_CENTRALREPOSITORY_WRITE_CORECHECKLISTS,
  INSPECTION_IMPORT,
  TRAVEL_MEDICINE_ADMIN,
  MEASLES_PROTECTION_ADMIN,
  CHAT_MANAGEMENT_WRITE,
  STATISTICS_STATISTICS_READ,
  STATISTICS_STATISTICS_WRITE,
  STATISTICS_STATISTICS_ADMIN,
  STATISTICS_STATISTICS_TECHNICAL_USER,
  BASE_MAIL_SEND,
  INBOX_PROCEDURE_WRITE,
  PROCEDURE_ARCHIVE,
  PROCEDURE_ARCHIVE_ADMIN,
  AUDITLOG_FILE_SEND,
  AUDITLOG_DECRYPT_AND_ACCESS,
  AUDITLOG_AUTHORIZE_ACCESS,
  AUDITLOG_PUBLIC_KEYS_READ,
  STANDARD_EMPLOYEE,
  STI_PROTECTION_USER,
  STI_PROTECTION_MFA,
  STI_PROTECTION_CONSULTANT,
  STI_PROTECTION_PHYSICIAN,
  STI_PROTECTION_ADMIN,
  STI_PROTECTION_LEADER,
  MEDICAL_REGISTRY_LEADER,
  MEDICAL_REGISTRY_ADMIN,
  DENTAL_LEADER,
  DENTAL_ADMIN,
  OPEN_DATA_ADMIN,
  OPEN_DATA_LEADER,
  MEDICAL_REGISTRY_IMPORT,
  OFFICIAL_MEDICAL_SERVICE_LEADER,
  OFFICIAL_MEDICAL_SERVICE_ADMIN,
  BASE_GDPR_VALIDATION_TASK_CLEANUP,
  CONFIGURATION_ACCESS
}
