/*
 * Copyright 2025 SCOOP Software GmbH, cronn GmbH
 * SPDX-License-Identifier: AGPL-3.0-only
 */

package de.eshg.inspection.config;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;
import org.springframework.web.client.RestTemplate;

@Configuration
public class InspectionNominatimConfiguration {

  public static final String NOMINATIM_REST_TEMPLATE = "NominatimRestTemplate";

  @Bean(NOMINATIM_REST_TEMPLATE)
  public RestTemplate nominatimRestTemplate(RestTemplateBuilder restTemplateBuilder) {
    ObjectMapper objectMapper = new ObjectMapper();
    objectMapper.setSerializationInclusion(JsonInclude.Include.NON_NULL);
    objectMapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
    return restTemplateBuilder
        .messageConverters(new MappingJackson2HttpMessageConverter(objectMapper))
        .build();
  }
}
