/*
 * Copyright 2025 SCOOP Software GmbH, cronn GmbH
 * SPDX-License-Identifier: Apache-2.0
 */

package de.eshg.lsd.register.api;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.responses.ApiResponse;
import org.springframework.web.service.annotation.GetExchange;
import org.springframework.web.service.annotation.HttpExchange;

@HttpExchange(value = LsdOrgUnitApi.BASE_URL)
public interface LsdOrgUnitApi {
  String BASE_URL = "/orgUnit";
  String NAME_URL = "/name";

  @Operation(summary = "Get the name of the orgUnit")
  @GetExchange(value = NAME_URL)
  @ApiResponse(responseCode = "200", description = "Returns the name of the orgUnit")
  String getName();
}
