/*
 * Copyright 2025 SCOOP Software GmbH, cronn GmbH
 * SPDX-License-Identifier: Apache-2.0
 */

package de.eshg.lib.servicedirectory.api;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.Valid;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;

@Schema(name = "ActorRequest")
public record ActorRequestDto(
    @NotBlank String readableName,
    @NotNull ActorTypeDto type,
    @NotNull @Valid CertificateDto certificate) {}
