/*
 * Copyright 2025 cronn GmbH
 * SPDX-License-Identifier: AGPL-3.0-only
 */

package de.eshg.schoolentry.statistics.options;

public enum CountryName {
  AFG("Afghanistan"),
  EGY("Ägypten"),
  ALB("Albanien"),
  ALG("Algerien"),
  AND("Andorra"),
  ANG("Angola"),
  AUB("Antigua und Barbuda"),
  GNQ("Äquatorialguinea"),
  ARA("Arabien"),
  ARG("Argentinien"),
  ARM("Armenien"),
  ASE("Aserbaidschan"),
  ASN("Asien"),
  ETH("Äthiopien"),
  AUS("Australien"),
  BAM("Bahamas"),
  BAH("Bahrain"),
  BAL("Baltikum"),
  BAD("Bangladesch"),
  BAR("Barbados"),
  BEL("Belgien"),
  BEZ("Belize"),
  BEN("Benin"),
  BHU("Bhutan"),
  BOL("Bolivien"),
  BOS("Bosnien-Herzegowina"),
  BOT("Botswana"),
  BRA("Brasilien"),
  BRU("Brunei"),
  BUL("Bulgarien"),
  BUF("Burkina Faso"),
  BUR("Burundi"),
  CHI("Chile"),
  CHV("China"),
  COO("Cookinseln"),
  COR("Costa Rica"),
  CIV("Côte d'Ivoire"),
  DAN("Dänemark"),
  DEU("Deutschland"),
  DOA("Dominica"),
  DOM("Dominikanische Republik"),
  DSC("Dschibuti"),
  ECU("Ecuador"),
  ELS("El Salvador"),
  BRI("England"),
  ERY("Eritrea"),
  EST("Estland"),
  FID("Fidschi"),
  FIN("Finnland"),
  FRA("Frankreich"),
  GAB("Gabun"),
  GAM("Gambia"),
  GEO("Georgien"),
  GHA("Ghana"),
  GOL("Golfstaaten"),
  GRE("Grenada"),
  GRI("Griechenland"),
  GUA("Guatemala"),
  GUI("Guinea"),
  GUS("GUS-Rest"),
  GUY("Guyana"),
  HAI("Haiti"),
  HND("Honduras"),
  IND("Indien"),
  INS("Indonesien"),
  IRQ("Irak"),
  IRA("Iran"),
  IRL("Irland"),
  ISL("Island"),
  ISR("Israel"),
  ITA("Italien"),
  JAM("Jamaika"),
  JAP("Japan"),
  JEM("Jemen"),
  JOR("Jordanien"),
  JUG("Jug-Rest"),
  KAM("Kambodscha"),
  KAN("Kamerun"),
  CAN("Kanada"),
  KAP("Kap Verde"),
  KAS("Kasachstan"),
  KAT("Katar"),
  KEN("Kenia"),
  KIR("Kirgistan"),
  KIB("Kiribati"),
  KOL("Kolumbien"),
  KOM("Komoren"),
  KON("Kongo"),
  KOR("Korea"),
  KOS("Kosovo"),
  KRO("Kroatien"),
  KUB("Kuba"),
  KUW("Kuwait"),
  LAO("Laos"),
  LSO("Lesotho"),
  LET("Lettland"),
  LEB("Libanon"),
  LIB("Liberia"),
  LYB("Libyen"),
  LIE("Liechtenstein"),
  LIT("Litauen"),
  LUX("Luxemburg"),
  MAD("Madagaskar"),
  MAW("Malawi"),
  MAY("Malaysia"),
  MAL("Malediven"),
  MAI("Mali"),
  MLT("Malta"),
  MAR("Marokko"),
  MHL("Marshallinseln"),
  MAU("Mauretanien"),
  MAS("Mauritius"),
  MAZ("Nordmazedonien"),
  MEX("Mexiko"),
  MIK("Mikronesien"),
  MAM("Mittelamerika"),
  MOL("Moldau"),
  MON("Monaco"),
  MOG("Mongolei"),
  MNE("Montenegro"),
  MOS("Mosambik"),
  MYA("Myanmar"),
  NAM("Namibia"),
  CHN("Nation China"),
  NAU("Nauru"),
  NEP("Nepal"),
  NEU("Neuseeland"),
  NIC("Nicaragua"),
  NED("Niederlande"),
  NIG("Niger"),
  NIA("Nigeria"),
  NOK("Nordkorea"),
  NOR("Norwegen"),
  OMA("Oman"),
  OST("Österreich"),
  PAK("Pakistan"),
  PAL("Palästina"),
  PAU("Palau"),
  PAN("Panama"),
  PAP("Papua Neuguinea"),
  PAR("Paraguay"),
  PER("Peru"),
  PHI("Philippinen"),
  POL("Polen"),
  POR("Portugal"),
  RUA("Ruanda"),
  RUM("Rumänien"),
  RUS("Russische Föderation"),
  SAL("Salomonen"),
  SAB("Sambia"),
  SAA("Samoa"),
  SAN("San Marino"),
  STL("Santa-Lucia"),
  STP("Sao Tome und Principe"),
  SAU("Saudi-Arabien"),
  SCO("Schottland"),
  SVE("Schweden"),
  HEL("Schweiz"),
  SEN("Senegal"),
  SER("Serbien"),
  SEY("Seychellen"),
  SIL("Sierra Leone"),
  SIM("Simbabwe"),
  SIN("Singapur"),
  SKN("Slowakei"),
  SLO("Slowenien"),
  SOM("Somalia"),
  SON("sonstige Staaten"),
  SPA("Spanien"),
  CEY("Sri Lanka"),
  STK("St. Kitts und Nevis"),
  VCT("St. Vincent und die Grenadinen"),
  STA("staatenlos"),
  SAR("Südafrika"),
  SAM("Südamerika"),
  SUD("Sudan"),
  SUK("Südkorea"),
  SUR("Suriname"),
  SWA("Eswatini"),
  SYR("Syrien"),
  TAD("Tadschikistan"),
  TAI("Taiwan"),
  TAN("Tansania"),
  THA("Thailand"),
  TIB("Tibet"),
  TIM("Timor"),
  TOG("Togo"),
  TRT("Trinidad und Tobago"),
  CHA("Tschad"),
  CZN("Tschechische Republik"),
  TUN("Tunesien"),
  TUR("Türkei"),
  TKM("Turkmenistan"),
  TUV("Tuvalu"),
  UGA("Uganda"),
  UKR("Ukraine"),
  UUU("Unbekannt"),
  UNG("Ungarn"),
  URU("Uruguay"),
  USA("USA"),
  USB("Usbekistan"),
  VAN("Vanuatu"),
  VAT("Vatikanstadt"),
  VEN("Venezuela"),
  VAE("Vereinigte Arabische Emirate"),
  VIE("Vietnam"),
  WRU("Belarus"),
  SCA("Zentralafrikanische Republik"),
  ZYP("Zypern"),
  G1("Ländergruppe 1"),
  G2("Ländergruppe 2"),
  G3("Ländergruppe 3"),
  G4("Ländergruppe 4"),
  G5("Ländergruppe 5"),
  G6("Ländergruppe 6"),
  G7("Ländergruppe 7"),
  G8("Ländergruppe 8"),
  G9("Ländergruppe 9");

  private final String name;

  CountryName(String name) {
    this.name = name;
  }

  public String getName() {
    return name;
  }
}
