/*
 * Copyright 2025 cronn GmbH
 * SPDX-License-Identifier: AGPL-3.0-only
 */

package de.eshg.schoolentry.statistics.options;

import de.eshg.lib.statistics.util.ConvertibleToValueOptions;

public enum Diagnosis implements ConvertibleToValueOptions {
  VALUE_0("0", "keine Diagnose"),
  VALUE_MINUS_1("-1", "Diagnose");

  private final String value;

  private final String meaning;

  Diagnosis(String value, String meaning) {
    this.value = value;
    this.meaning = meaning;
  }

  @Override
  public String getValue() {
    return value;
  }

  @Override
  public String getMeaning() {
    return meaning;
  }
}
