/*
 * Copyright 2025 cronn GmbH
 * SPDX-License-Identifier: AGPL-3.0-only
 */

package de.eshg.stiprotection.department;

import de.eshg.departmentinfo.AbstractOpeningHoursService;
import de.eshg.departmentinfo.domain.AbstractOpeningHours;
import de.eshg.departmentinfo.initialization.MandatoryInitialOpeningHours;
import de.eshg.persistence.TransactionHelper;
import de.eshg.stiprotection.api.citizen.GetOpeningHoursResponse;
import jakarta.persistence.EntityManager;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

abstract class AbstractStiProtectionOpeningHoursService<O extends AbstractOpeningHours>
    extends AbstractOpeningHoursService<O> {
  public AbstractStiProtectionOpeningHoursService(
      EntityManager entityManager,
      TransactionHelper transactionHelper,
      MandatoryInitialOpeningHours initialOpeningHours,
      Class<O> configClass) {
    super(entityManager, transactionHelper, initialOpeningHours, configClass);
  }

  @Transactional(propagation = Propagation.REQUIRED, readOnly = true)
  public GetOpeningHoursResponse getOpeningHours() {
    O config = getConfig();
    return new GetOpeningHoursResponse(config.getDe(), config.getEn());
  }
}
