/**
 * Copyright 2025 cronn GmbH
 * SPDX-License-Identifier: AGPL-3.0-only
 */

import {
  RowSelectionTableToolbar,
  RowSelectionTableToolbarButton,
  mapRowSelectionToRowIds,
} from "@eshg/lib-employee-portal";
import MergeIcon from "@mui/icons-material/SchemaOutlined";
import { RowSelectionState } from "@tanstack/react-table";

interface ContactsTableTitleProps {
  rowSelection: RowSelectionState;
  onMerge: (contactIds: string[]) => void;
}

export function ContactsTableTitle(props: ContactsTableTitleProps) {
  const rowIds = mapRowSelectionToRowIds(props.rowSelection);
  return (
    <RowSelectionTableToolbar
      rowSelection={props.rowSelection}
      elementName={{ singular: "Kontakt", plural: "Kontakte" }}
    >
      <RowSelectionTableToolbarButton
        onClick={() => props.onMerge(rowIds)}
        decorator={<MergeIcon />}
        disabled={rowIds.length !== 2}
      >
        Kontakte Zusammenführen
      </RowSelectionTableToolbarButton>
    </RowSelectionTableToolbar>
  );
}
